GNU Radio C++ API Reference: gr::fec::tpc_decoder Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::fec::tpc_decoder Class Reference

`#include <gnuradio/fec/tpc_decoder.h>`

## Public Member Functions
| ~tpc_decoder () override
double | rate () override
bool | set_frame_size (unsigned int frame_size) override
Public Member Functions inherited from gr::fec::generic_decoder
int | unique_id ()
std::string | alias ()
| generic_decoder (void)
| generic_decoder (std::string name)
virtual | ~generic_decoder ()
virtual const char * | get_input_conversion ()
virtual const char * | get_output_conversion ()
virtual float | get_iterations ()

## Static Public Member Functions
static generic_decoder::sptr | make (std::vector< int > row_poly, std::vector< int > col_poly, int krow, int kcol, int bval, int qval, int max_iter, int decoder_type)

## Additional Inherited Members
Public Types inherited from gr::fec::generic_decoder
typedef std::shared_ptr< generic_decoder > | sptr
Public Attributes inherited from gr::fec::generic_decoder
int | my_id
std::string | d_name
Static Public Attributes inherited from gr::fec::generic_decoder
static int | base_unique_id
Protected Attributes inherited from gr::fec::generic_decoder
gr::logger_ptr | d_logger

## Constructor & Destructor Documentation

## ◆ ~tpc_decoder()

gr::fec::tpc_decoder::~tpc_decoder | ( |  | ) |
| override

## Member Function Documentation

## ◆ make()

generic_decoder::sptr gr::fec::tpc_decoder::make | ( | std::vector< int > | row_poly,
|  | std::vector< int > | col_poly,
|  | int | krow,
|  | int | kcol,
|  | int | bval,
|  | int | qval,
|  | int | max_iter,
|  | int | decoder_type )
| static

## ◆ rate()

double gr::fec::tpc_decoder::rate | ( |  | ) |
| inlineoverridevirtual

Returns the rate of the code. For every r input bits, there is 1 output bit, so the rate is 1/r. Used for setting things like the encoder block's relative rate.

This function MUST be reimplemented by the child class.

Implements gr::fec::generic_decoder.

## ◆ set_frame_size()

bool gr::fec::tpc_decoder::set_frame_size | ( | unsigned int | frame_size | ) |
| inlineoverridevirtual

Updates the size of a decoded frame.

The child class MUST implement this function and interpret how the `frame_size` information affects the block's behavior. It should also provide bounds checks.

Implements gr::fec::generic_decoder.

The documentation for this class was generated from the following file:

- tpc_decoder.h